Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
stret_large2.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | struct_116byte

## Typedefs
typedef struct struct_116byte | struct_116byte

## Functions
struct_116byte | cls_struct_116byte_fn (struct_116byte b0, struct_116byte b1, struct_116byte b2, struct_116byte b3)
int | main (void)

## Typedef Documentation

## ◆ struct_116byte

typedef struct struct_116byte struct_116byte

## Function Documentation

## ◆ cls_struct_116byte_fn()

struct_116byte cls_struct_116byte_fn | ( | struct_116byte | b0,
|  | struct_116byte | b1,
|  | struct_116byte | b2,
|  | struct_116byte | b3
| ) |  |

Definition at line 33 of file stret_large2.c.

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 77 of file stret_large2.c.

References struct_116byte::a, struct_116byte::b, struct_116byte::c, CHECK, cls_struct_116byte_fn(), struct_116byte::d, struct_116byte::e, struct_116byte::f, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), struct_116byte::g, struct_116byte::h, struct_116byte::i, struct_116byte::j, struct_116byte::k, struct_116byte::l, struct_116byte::m, struct_116byte::n, NULL, struct_116byte::o, and printf().